# Glib::ValueBase_Boxed Class Reference
[Generic Values]

`#include <glibmm/value.h>`

Inheritance diagram for Glib::ValueBase_Boxed:
[legend]

List of all members.

## Static Public Member Functions

static GType | value_type ()

## Protected Member Functions

void | set_boxed (const void* data)
void* | get_boxed () const

## Member Function Documentation

void* Glib::ValueBase_Boxed::get_boxed | ( | ) | const`[protected]`

void Glib::ValueBase_Boxed::set_boxed | ( | const void * | data ) | `[protected]`

static GType Glib::ValueBase_Boxed::value_type | ( | ) | `[static]`

Reimplemented in Glib::Value_Boxed< T >, and Glib::Value< T >.